Bug 759770

Summary: *** glibc detected *** systemadm: munmap_chunk(): invalid pointer: 0x0000000000bee300 ***
Product: [Fedora] Fedora Reporter: Tom London <selinux>
Component: systemdAssignee: systemd-maint
Status: CLOSED DUPLICATE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: johannbg, johannbg, lpoetter, metherid, mschmidt, notting, plautrba, systemd-maint
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-03-20 10:42:17 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Tom London 2011-12-03 12:53:27 EST
Description of problem:
I was running 'systemadm'.

In a terminal window, I ran 'systemctl disable nfs-idmap.service' and got the following spew:

[root@tlondon ~]# systemctl disable nfs-idmap.service
rm '/etc/systemd/system/multi-user.target.wants/nfs-idmap.service'
[root@tlondon ~]# *** glibc detected *** systemadm: munmap_chunk(): invalid pointer: 0x0000000000bee300 ***
======= Backtrace: =========
/lib64/libc.so.6[0x31a9a7c2d6]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x31aba4c8af]
systemadm[0x41a6dc]
systemadm[0x408c6e]
systemadm[0x40a65b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x31aca0ea34]
/lib64/libgobject-2.0.so.0[0x31aca1e555]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x31aca261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x504)[0x31aca268a4]
systemadm[0x412966]
/usr/lib64/libffi.so.5(ffi_call_unix64+0x4c)[0x31abe05d64]
/usr/lib64/libffi.so.5(ffi_call+0x1e5)[0x31abe05785]
/lib64/libgobject-2.0.so.0(g_cclosure_marshal_generic+0x1fb)[0x31aca0ef5b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x31aca0ea34]
/lib64/libgobject-2.0.so.0[0x31aca1eb32]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x31aca261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x31aca26392]
/lib64/libgio-2.0.so.0[0x31ad2c2a58]
/lib64/libgio-2.0.so.0[0x31ad2b21e5]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x16a)[0x31aba4698a]
/lib64/libglib-2.0.so.0[0x31aba46d50]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x75)[0x31aba47155]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x31b5f4b107]
systemadm[0x40c27a]
/lib64/libc.so.6(__libc_start_main+0xed)[0x31a9a2169d]
systemadm[0x403dfd]
======= Memory map: ========
00400000-00425000 r-xp 00000000 fd:00 266006                             /usr/bin/systemadm
00624000-00625000 r--p 00024000 fd:00 266006                             /usr/bin/systemadm
00625000-0062a000 rw-p 00025000 fd:00 266006                             /usr/bin/systemadm
0093a000-00c86000 rw-p 00000000 00:00 0                                  [heap]
31a9600000-31a9622000 r-xp 00000000 fd:00 748                            /lib64/ld-2.14.90.so
31a9821000-31a9822000 r--p 00021000 fd:00 748                            /lib64/ld-2.14.90.so
31a9822000-31a9823000 rw-p 00022000 fd:00 748                            /lib64/ld-2.14.90.so
31a9823000-31a9824000 rw-p 00000000 00:00 0 
31a9a00000-31a9bab000 r-xp 00000000 fd:00 857                            /lib64/libc-2.14.90.so
31a9bab000-31a9dab000 ---p 001ab000 fd:00 857                            /lib64/libc-2.14.90.so
31a9dab000-31a9daf000 r--p 001ab000 fd:00 857                            /lib64/libc-2.14.90.so
31a9daf000-31a9db1000 rw-p 001af000 fd:00 857                            /lib64/libc-2.14.90.so
31a9db1000-31a9db6000 rw-p 00000000 00:00 0 
31a9e00000-31a9e17000 r-xp 00000000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31a9e17000-31aa016000 ---p 00017000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa016000-31aa017000 r--p 00016000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa017000-31aa018000 rw-p 00017000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa018000-31aa01c000 rw-p 00000000 00:00 0 
31aa200000-31aa202000 r-xp 00000000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa202000-31aa402000 ---p 00002000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa402000-31aa403000 r--p 00002000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa403000-31aa404000 rw-p 00003000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa600000-31aa683000 r-xp 00000000 fd:00 910                            /lib64/libm-2.14.90.so
31aa683000-31aa882000 ---p 00083000 fd:00 910                            /lib64/libm-2.14.90.so
31aa882000-31aa883000 r--p 00082000 fd:00 910                            /lib64/libm-2.14.90.so
31aa883000-31aa884000 rw-p 00083000 fd:00 910                            /lib64/libm-2.14.90.so
31aaa00000-31aaa07000 r-xp 00000000 fd:00 17579                          /lib64/librt-2.14.90.so
31aaa07000-31aac06000 ---p 00007000 fd:00 17579                          /lib64/librt-2.14.90.so
31aac06000-31aac07000 r--p 00006000 fd:00 17579                          /lib64/librt-2.14.90.so
31aac07000-31aac08000 rw-p 00007000 fd:00 17579                          /lib64/librt-2.14.90.so
31aae00000-31aae15000 r-xp 00000000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31aae15000-31ab014000 ---p 00015000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31ab014000-31ab015000 rw-p 00014000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31ab200000-31ab217000 r-xp 00000000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab217000-31ab416000 ---p 00017000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab416000-31ab417000 rw-p 00016000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab600000-31ab61e000 r-xp 00000000 fd:00 17568                          /lib64/libselinux.so.1
31ab61e000-31ab81d000 ---p 0001e000 fd:00 17568                          /lib64/libselinux.so.1
31ab81d000-31ab81e000 r--p 0001d000 fd:00 17568                          /lib64/libselinux.so.1
31ab81e000-31ab81f000 rw-p 0001e000 fd:00 17568                          /lib64/libselinux.so.1
31ab81f000-31ab820000 rw-p 00000000 00:00 0 
31aba00000-31abb1a000 r-xp 00000000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abb1a000-31abd19000 ---p 0011a000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd19000-31abd1a000 r--p 00119000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd1a000-31abd1b000 rw-p 0011a000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd1b000-31abd1c000 rw-p 00000000 00:00 0 
31abe00000-31abe07000 r-xp 00000000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31abe07000-31ac006000 ---p 00007000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac006000-31ac007000 r--p 00006000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac007000-31ac008000 rw-p 00007000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac200000-31ac218000 r-xp 00000000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac218000-31ac418000 ---p 00018000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac418000-31ac419000 r--p 00018000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac419000-31ac41a000 rw-p 00019000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac41a000-31ac41c000 rw-p 00000000 00:00 0 
31ac600000-31ac601000 r-xp 00000000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0
31ac601000-31ac800000 ---p 00001000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0


Version-Release number of selected component (if applicable):
systemd-37-4.fc17.x86_64

How reproducible:
Don't know

Steps to Reproduce:
1. Start systemadm
2. run 'systemctl disable nfs-idmap.service'
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Tom London 2011-12-03 12:56:41 EST
Here is a backtrace from the core file:

Core was generated by `systemadm'.
Program terminated with signal 6, Aborted.
#0  0x00000031a9a36285 in __GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) set pagination off
(gdb) bt full
#0  0x00000031a9a36285 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <optimized out>
        selftid = 7259
#1  0x00000031a9a37b9b in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x4, sa_sigaction = 0x4}, sa_mask = {__val = {5, 140733269944055, 9, 213300752491, 3, 140733269932634, 6, 213300752495, 2, 140733269932654, 2, 213300743658, 1, 213300752491, 3, 140733269932630}}, sa_flags = 10, sa_restorer = 0x31a9b7306f}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00000031a9a75fae in __libc_message (do_abort=2, fmt=0x31a9b74b98 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff049003d0, reg_save_area = 0x7fff049002e0}}
        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff049003d0, reg_save_area = 0x7fff049002e0}}
        fd = 7
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#3  0x00000031a9a7c2d6 in malloc_printerr (action=3, str=0x31a9b74bc8 "munmap_chunk(): invalid pointer", ptr=<optimized out>) at malloc.c:5021
        buf = "0000000000bee300"
        cp = <optimized out>
#4  0x00000031aba4c8af in g_free (mem=0xbee300) at gmem.c:252
No locals.
#5  0x000000000041a6dc in job_unit_link_destroy (self=0x7fff049004c0) at /home/lennart/projects/systemd/src/systemd-interfaces.vala:151
No locals.
#6  0x0000000000408c6e in main_window_update_job_iter (self=<optimized out>, iter=<optimized out>, id=827, j=0xbee540) at /home/lennart/projects/systemd/src/systemadm.vala:709
        _tmp0_ = 0x970a40 [GtkListStore]
        _tmp1_ = {stamp = -1225120522, user_data = 0xc404d0, user_data2 = 0x0, user_data3 = 0x0}
        _tmp2_ = 827
        _tmp3_ = 0xc05f00 "827"
        _tmp4_ = 0xc05f00 "827"
        _tmp5_ = 0xbee540
        _tmp6_ = {id = 0xbee300 "`\017\246", path = 0x31aba81bc1 "\205\300t\023H\215\065\342\233\a"}
        _tmp7_ = <optimized out>
        _tmp8_ = {id = 0xbee300 "`\017\246", path = 0x31aba81bc1 "\205\300t\023H\215\065\342\233\a"}
        _tmp9_ = <optimized out>
        _tmp10_ = 0xbee540
        _tmp11_ = 0x0
        _tmp12_ = 0x0
        _tmp13_ = 0x0
        _tmp14_ = 0xa5cdb0 "\320\002\263"
        _tmp15_ = 0x0
        _tmp16_ = 0xbee540
        _tmp17_ = 0x0
        _tmp18_ = 0x0
        _tmp19_ = 0x0
        _tmp20_ = 0xbee540
        _tmp21_ = 827
        __PRETTY_FUNCTION__ = "main_window_update_job_iter"
#7  0x000000000040a65b in main_window_on_job_new (self=0x9bc080 [MainWindow], id=827, path=0xa7a640 "/org/freedesktop/systemd1/job/827") at /home/lennart/projects/systemd/src/systemadm.vala:737
        _tmp3_ = 0xa7a640 "/org/freedesktop/systemd1/job/827"
        iter = {stamp = -1225120522, user_data = 0xc404d0, user_data2 = 0x0, user_data3 = 0x0}
        _tmp7_ = {stamp = -1225120522, user_data = 0xc404d0, user_data2 = 0x0, user_data3 = 0x0}
        _tmp13_ = {stamp = -1225120522, user_data = 0xc404d0, user_data2 = 0x0, user_data3 = 0x0}
        _tmp2_ = <optimized out>
        _tmp6_ = <optimized out>
        _tmp12_ = <optimized out>
        j = <optimized out>
        _tmp1_ = <optimized out>
        _tmp5_ = 0xbee300
        _tmp9_ = <optimized out>
        _tmp11_ = 0xa7a640 "/org/freedesktop/systemd1/job/827"
        _tmp15_ = <optimized out>
        _tmp0_ = <optimized out>
        _tmp4_ = 0xbee300
        p = 0xbee300
        _tmp8_ = <optimized out>
        _tmp10_ = <optimized out>
        _tmp14_ = 827
        _inner_error_ = 0x0
        __PRETTY_FUNCTION__ = "main_window_on_job_new"
#8  0x00000031aca0ea34 in g_closure_invoke (closure=0xa4e3d0, return_value=0x0, n_param_values=3, param_values=0x7f937c25fc00, invocation_hint=<optimized out>) at gclosure.c:774
        marshal = 0x413ae0 <g_cclosure_user_marshal_VOID__UINT_STRING>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#9  0x00000031aca1e555 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=<optimized out>, emission_return=0x0, instance_and_params=0x7f937c25fc00) at gsignal.c:3302
        tmp = <optimized out>
        handler = 0x7f937c007670
        accumulator = 0x0
        emission = {next = 0x7fff04900f00, instance = 0xa2aa20, ihint = {signal_id = 210, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x0
        hlist = 0xa4f038
        handler_list = 0x7f937c007670
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 210
        max_sequential_handler_number = 452
        return_value_altered = 0
#10 0x00000031aca261cb in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff04900968) at gsignal.c:3033
        instance_and_params = 0x7f937c25fc00
        signal_return_type = 4
        param_values = 0x7f937c25fc18
        node = 0xa31b80
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#11 0x00000031aca268a4 in g_signal_emit_by_name (instance=0xa2aa20, detailed_signal=<optimized out>) at gsignal.c:3127
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff04900ac0, reg_save_area = 0x7fff049009d0}}
        detail = <optimized out>
        signal_id = 210
        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
#12 0x0000000000412966 in _dbus_handle_manager_job_new (parameters=<optimized out>, self=0xa2aa20) at systemd-interfaces.c:1506
        _tmp5_ = 0x7f937c192060
        _arguments_iter = {x = {140271418949328, 2, 1, 0, 10629472, 0, 25780043808, 3579507750, 140271419733640, 0, 140733269938400, 213349638005, 140271419733616, 1, 12775920, 1}}
        id = 827
        _tmp4_ = <optimized out>
        path = 0xb33480 "/org/freedesktop/systemd1/job/827"
#13 manager_proxy_g_signal (proxy=0xa2aa20 [ManagerProxy], sender_name=<optimized out>, signal_name=<optimized out>, parameters=<optimized out>) at systemd-interfaces.c:1541
No locals.
#14 0x00000031abe05d64 in ffi_call_unix64 () at ../src/x86/unix64.S:75
No locals.
#15 0x00000031abe05785 in ffi_call (cif=0x7fff04900d60, fn=0x412750 <manager_proxy_g_signal>, rvalue=<optimized out>, avalue=<optimized out>) at ../src/x86/ffi64.c:486
        classes = {X86_64_INTEGER_CLASS, X86_64_NO_CLASS, X86_64_INTEGERSI_CLASS, X86_64_NO_CLASS}
        stack = 0x7fff04900ac0 "\320>\031|\223\177"
        argp = 0x7fff04900b70 ""
        arg_types = <optimized out>
        gprcount = 5
        ssecount = <optimized out>
        ngpr = 1
        nsse = 0
        i = <optimized out>
        avn = <optimized out>
        ret_in_memory = <optimized out>
        reg_args = 0x7fff04900ac0
#16 0x00000031aca0ef5b in g_cclosure_marshal_generic (closure=0xa3e940, return_gvalue=0x0, n_param_values=4, param_values=<optimized out>, invocation_hint=<optimized out>, marshal_data=0x412750) at gclosure.c:1189
        rtype = 0x31abe061b0
        rvalue = 0x7fff04900ce0
        n_args = 5
        atypes = 0x7fff04900ca0
        args = 0x7fff04900c60
        i = <optimized out>
        cif = {abi = FFI_UNIX64, nargs = 5, arg_types = 0x7fff04900ca0, rtype = 0x31abe061b0, bytes = 0, flags = 0}
        cc = 0xa3e940
        enum_tmpval = 0x7fff04900d00
        tmpval_used = 0
#17 0x00000031aca0ea34 in g_closure_invoke (closure=0xa3e940, return_value=0x0, n_param_values=4, param_values=0xb90800, invocation_hint=<optimized out>) at gclosure.c:774
        marshal = 0x31aca0d2d0 <g_type_class_meta_marshal>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#18 0x00000031aca1eb32 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=<optimized out>, emission_return=0x0, instance_and_params=0xb90800) at gsignal.c:3340
        accumulator = 0x0
        emission = {next = 0x0, instance = 0xa2aa20, ihint = {signal_id = 207, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 10734960}
        class_closure = 0xa3e940
        hlist = 0xa4eff8
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 207
        max_sequential_handler_number = 452
        return_value_altered = 0
#19 0x00000031aca261cb in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff049010f8) at gsignal.c:3033
        instance_and_params = 0xb90800
        signal_return_type = 4
        param_values = 0xb90818
        node = 0xa3ea60
        i = <optimized out>
        n_params = 3
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#20 0x00000031aca26392 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3090
        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fff049011d0, reg_save_area = 0x7fff04901110}}
#21 0x00000031ad2c2a58 in on_signal_received (connection=<optimized out>, sender_name=0x7f937c244de0 ":1.6", object_path=<optimized out>, interface_name=<optimized out>, signal_name=0x7f937c0c3210 "JobNew", parameters=0x7f937c193ed0, user_data=0xa3a970) at gdbusproxy.c:922
        data = 0xa3a970
        proxy = 0xa2aa20 [ManagerProxy]
#22 0x00000031ad2b21e5 in emit_signal_instance_in_idle_cb (data=0x7f937c1438a0) at gdbusconnection.c:3692
        signal_instance = 0x7f937c1438a0
        parameters = 0x7f937c193ed0
        has_subscription = 1
#23 0x00000031aba4698a in g_main_dispatch (context=0x975090) at gmain.c:2513
        dispatch = 0x31aba44630 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x7f937c1438a0
        callback = 0x31ad2b2170 <emit_signal_instance_in_idle_cb>
        cb_funcs = 0x31abd1a960
        cb_data = 0x7f937c0db090
        current_source_link = {data = 0x7f937c15b390, next = 0x0}
        need_destroy = <optimized out>
        source = 0x7f937c15b390
        current = 0xa48090
        i = <optimized out>
#24 g_main_context_dispatch (context=0x975090) at gmain.c:3050
No locals.
#25 0x00000031aba46d50 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x975090, self=<optimized out>) at gmain.c:3121
        timeout = -1
        some_ready = 1
        fds = <optimized out>
        max_priority = 2147483647
        nfds = 3
        allocated_nfds = <optimized out>
#26 g_main_context_iterate (context=0x975090, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3058
        some_ready = 1
#27 0x00000031aba47155 in g_main_loop_run (loop=0xc180b0) at gmain.c:3315
        self = 0xa350f0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#28 0x00000031b5f4b107 in IA__gtk_main () at gtkmain.c:1256
        tmp_list = <optimized out>
        functions = 0x0
        init = <optimized out>
        loop = 0xc180b0
#29 0x000000000040c27a in _vala_main (args=0x7fff049014c8, args_length1=1) at /home/lennart/projects/systemd/src/systemadm.vala:1010
        _tmp0_ = <optimized out>
        _tmp1_ = <optimized out>
        window = <optimized out>
        _tmp2_ = <optimized out>
        _inner_error_ = 0x0
#30 0x00000031a9a2169d in __libc_start_main (main=0x403da0 <main>, argc=1, ubp_av=0x7fff049014c8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff049014b8) at libc-start.c:226
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1026532033205633304, 4210132, 140733269939392, 0, 0, -1026556479489441512, 1035170638965768472}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x7fff049014d8, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 76551384}}}
        not_first_call = <optimized out>
#31 0x0000000000403dfd in _start ()
No symbol table info available.
(gdb)
Comment 2 Tom London 2011-12-03 13:07:46 EST
Hmmm... I get a similar spew just running systemadm when I try to stop "nfs-idmap.service":

[root@tlondon ~]# systemadm&
[1] 7650
[root@tlondon ~]# *** glibc detected *** systemadm: munmap_chunk(): invalid pointer: 0x0000000000c96100 ***
======= Backtrace: =========
/lib64/libc.so.6[0x31a9a7c2d6]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x31aba4c8af]
systemadm[0x41a6dc]
systemadm[0x408c6e]
systemadm[0x40a65b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x31aca0ea34]
/lib64/libgobject-2.0.so.0[0x31aca1e555]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x31aca261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x504)[0x31aca268a4]
systemadm[0x412966]
/usr/lib64/libffi.so.5(ffi_call_unix64+0x4c)[0x31abe05d64]
/usr/lib64/libffi.so.5(ffi_call+0x1e5)[0x31abe05785]
/lib64/libgobject-2.0.so.0(g_cclosure_marshal_generic+0x1fb)[0x31aca0ef5b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x31aca0ea34]
/lib64/libgobject-2.0.so.0[0x31aca1eb32]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x31aca261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x31aca26392]
/lib64/libgio-2.0.so.0[0x31ad2c2a58]
/lib64/libgio-2.0.so.0[0x31ad2b21e5]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x16a)[0x31aba4698a]
/lib64/libglib-2.0.so.0[0x31aba46d50]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x75)[0x31aba47155]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x31b5f4b107]
systemadm[0x40c27a]
/lib64/libc.so.6(__libc_start_main+0xed)[0x31a9a2169d]
systemadm[0x403dfd]
======= Memory map: ========
00400000-00425000 r-xp 00000000 fd:00 266006                             /usr/bin/systemadm
00624000-00625000 r--p 00024000 fd:00 266006                             /usr/bin/systemadm
00625000-0062a000 rw-p 00025000 fd:00 266006                             /usr/bin/systemadm
00998000-00cc6000 rw-p 00000000 00:00 0                                  [heap]
31a9600000-31a9622000 r-xp 00000000 fd:00 748                            /lib64/ld-2.14.90.so
31a9821000-31a9822000 r--p 00021000 fd:00 748                            /lib64/ld-2.14.90.so
31a9822000-31a9823000 rw-p 00022000 fd:00 748                            /lib64/ld-2.14.90.so
31a9823000-31a9824000 rw-p 00000000 00:00 0 
31a9a00000-31a9bab000 r-xp 00000000 fd:00 857                            /lib64/libc-2.14.90.so
31a9bab000-31a9dab000 ---p 001ab000 fd:00 857                            /lib64/libc-2.14.90.so
31a9dab000-31a9daf000 r--p 001ab000 fd:00 857                            /lib64/libc-2.14.90.so
31a9daf000-31a9db1000 rw-p 001af000 fd:00 857                            /lib64/libc-2.14.90.so
31a9db1000-31a9db6000 rw-p 00000000 00:00 0 
31a9e00000-31a9e17000 r-xp 00000000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31a9e17000-31aa016000 ---p 00017000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa016000-31aa017000 r--p 00016000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa017000-31aa018000 rw-p 00017000 fd:00 17311                          /lib64/libpthread-2.14.90.so
31aa018000-31aa01c000 rw-p 00000000 00:00 0 
31aa200000-31aa202000 r-xp 00000000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa202000-31aa402000 ---p 00002000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa402000-31aa403000 r--p 00002000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa403000-31aa404000 rw-p 00003000 fd:00 17312                          /lib64/libdl-2.14.90.so
31aa600000-31aa683000 r-xp 00000000 fd:00 910                            /lib64/libm-2.14.90.so
31aa683000-31aa882000 ---p 00083000 fd:00 910                            /lib64/libm-2.14.90.so
31aa882000-31aa883000 r--p 00082000 fd:00 910                            /lib64/libm-2.14.90.so
31aa883000-31aa884000 rw-p 00083000 fd:00 910                            /lib64/libm-2.14.90.so
31aaa00000-31aaa07000 r-xp 00000000 fd:00 17579                          /lib64/librt-2.14.90.so
31aaa07000-31aac06000 ---p 00007000 fd:00 17579                          /lib64/librt-2.14.90.so
31aac06000-31aac07000 r--p 00006000 fd:00 17579                          /lib64/librt-2.14.90.so
31aac07000-31aac08000 rw-p 00007000 fd:00 17579                          /lib64/librt-2.14.90.so
31aae00000-31aae15000 r-xp 00000000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31aae15000-31ab014000 ---p 00015000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31ab014000-31ab015000 rw-p 00014000 fd:00 2055                           /lib64/libgcc_s-4.6.2-20111027.so.1
31ab200000-31ab217000 r-xp 00000000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab217000-31ab416000 ---p 00017000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab416000-31ab417000 rw-p 00016000 fd:00 1790                           /lib64/libz.so.1.2.5
31ab600000-31ab61e000 r-xp 00000000 fd:00 17568                          /lib64/libselinux.so.1
31ab61e000-31ab81d000 ---p 0001e000 fd:00 17568                          /lib64/libselinux.so.1
31ab81d000-31ab81e000 r--p 0001d000 fd:00 17568                          /lib64/libselinux.so.1
31ab81e000-31ab81f000 rw-p 0001e000 fd:00 17568                          /lib64/libselinux.so.1
31ab81f000-31ab820000 rw-p 00000000 00:00 0 
31aba00000-31abb1a000 r-xp 00000000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abb1a000-31abd19000 ---p 0011a000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd19000-31abd1a000 r--p 00119000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd1a000-31abd1b000 rw-p 0011a000 fd:00 17582                          /lib64/libglib-2.0.so.0.3102.0
31abd1b000-31abd1c000 rw-p 00000000 00:00 0 
31abe00000-31abe07000 r-xp 00000000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31abe07000-31ac006000 ---p 00007000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac006000-31ac007000 r--p 00006000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac007000-31ac008000 rw-p 00007000 fd:00 280941                         /usr/lib64/libffi.so.5.0.10
31ac200000-31ac218000 r-xp 00000000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac218000-31ac418000 ---p 00018000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac418000-31ac419000 r--p 00018000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac419000-31ac41a000 rw-p 00019000 fd:00 17566                          /lib64/libresolv-2.14.90.so
31ac41a000-31ac41c000 rw-p 00000000 00:00 0 
31ac600000-31ac601000 r-xp 00000000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0
31ac601000-31ac800000 ---p 00001000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0
31ac800000-31ac801000 r--p 00000000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0
31ac801000-31ac802000 rw-p 00001000 fd:00 17583                          /lib64/libgthread-2.0.so.0.3102.0
31aca00000-31aca49000 r-xp 00000000 fd:00 17584                          /lib64/libgobject-2.0.so.0.3102.0
31aca49000-31acc49000 ---p 00049000 fd:00 17584                          /lib64/libgobject-2.0.so.0.3102.0
31acc49000-31acc4a000 r--p 00049000 fd:00 17584                          /lib64/libgobject-2.0.so.0.3102.0
31acc4a000-31acc4b000 rw-p 0004a000 fd:00 17584                          /lib64/libgobject-2.0.so.0.3102.0
31ace00000-31ace03000 r-xp 00000000 fd:00 17585                          /lib64/libgmodule-2.0.so.0.3102.0
31ace03000-31ad002000 ---p 00003000 fd:00 17585                          /lib64/libgmodule-2.0.so.0.3102.0
31ad002000-31ad003000 r--p 00002000 fd:00 17585                          /lib64/libgmodule-2.0.so.0.3102.0
31ad003000-31ad004000 rw-p 00003000 fd:00 17585                          /lib64/libgmodule-2.0.so.0.3102.0
31ad200000-31ad340000 r-xp 00000000 fd:00 17586                          /lib64/libgio-2.0.so.0.3102.0
31ad340000-31ad53f000 ---p 00140000 fd:00 17586                          /lib64/libgio-2.0.so.0.3102.0
31ad53f000-31ad543000 r--p 0013f000 fd:00 17586                          /lib64/libgio-2.0.so.0.3102.0
31ad543000-31ad545000 rw-p 00143000 fd:00 17586                          /lib64/libgio-2.0.so.0.3102.0
31ad545000-31ad546000 rw-p 00000000 00:00 0 
31ad600000-31ad602000 r-xp 00000000 fd:00 280526                         /usr/lib64/libXau.so.6.0.0
31ad602000-31ad802000 ---p 00002000 fd:00 280526                         /usr/lib64/libXau.so.6.0.0
31ad802000-31ad803000 rw-p 00002000 fd:00 280526                         /usr/lib64/libXau.so.6.0.0
31ada00000-31ada1b000 r-xp 00000000 fd:00 280652                         /usr/lib64/libxcb.so.1.1.0
31ada1b000-31adc1a000 ---p 0001b000 fd:00 280652                         /usr/lib64/libxcb.so.1.1.0
31adc1a000-31adc1b000 rw-p 0001a000 fd:00 280652                         /usr/lib64/libxcb.so.1.1.0
31ade00000-31adf38000 r-xp 00000000 fd:00 280762                         /usr/lib64/libX11.so.6.3.0
31adf38000-31ae138000 ---p 00138000 fd:00 280762                         /usr/lib64/libX11.so.6.3.0
31ae138000-31ae139000 r--p 00138000 fd:00 280762                         /usr/lib64/libX11.so.6.3.0
31ae139000-31ae13e000 rw-p 00139000 fd:00 280762                         /usr/lib64/libX11.so.6.3.0
31ae200000-31ae243000 r-xp 00000000 fd:00 14351                          /lib64/libdbus-1.so.3.5.6
31ae243000-31ae442000 ---p 00043000 fd:00 14351                          /lib64/libdbus-1.so.3.5.6
31ae442000-31ae443000 r--p 00042000 fd:00 14351                          /lib64/libdbus-1.so.3.5.6
31ae443000-31ae444000 rw-p 00043000 fd:00 14351                          /lib64/libdbus-1.so.3.5.6
31ae600000-31ae612000 r-xp 00000000 fd:00 281215                         /usr/lib64/libXext.so.6.4.0
31ae612000-31ae811000 ---p 00012000 fd:00 281215                         /usr/lib64/libXext.so.6.4.0
31ae811000-31ae812000 r--p 00011000 fd:00 281215                         /usr/lib64/libXext.so.6.4.0
31ae812000-31ae813000 rw-p 00012000 fd:00 281215                         /usr/lib64/libXext.so.6.4.0
31aee00000-31aee27000 r-xp 00000000 fd:00 1927                           /lib64/libexpat.so.1.5.2
31aee27000-31af026000 ---p 00027000 fd:00 1927                           /lib64/libexpat.so.1.5.2
31af026000-31af029000 rw-p 00026000 fd:00 1927                           /lib64/libexpat.so.1.5.2
31af200000-31af29b000 r-xp 00000000 fd:00 276423                         /usr/lib64/libfreetype.so.6.8.0
31af29b000-31af49a000 ---p 0009b000 fd:00 276423                         /usr/lib64/libfreetype.so.6.8.0
31af49a000-31af4a0000 r--p 0009a000 fd:00 276423                         /usr/lib64/libfreetype.so.6.8.0
31af4a0000-31af4a1000 rw-p 000a0000 fd:00 276423                         /usr/lib64/libfreetype.so.6.8.0
31af600000-31af634000 r-xp 00000000 fd:00 276450                         /usr/lib64/libfontconfig.so.1.4.4
31af634000-31af833000 ---p 00034000 fd:00 276450                         /usr/lib64/libfontconfig.so.1.4.4
31af833000-31af835000 rw-p 00033000 fd:00 276450                         /usr/lib64/libfontconfig.so.1.4.4
31afe00000-31afe0f000 r-xp 00000000 fd:00 281601                         /usr/lib64/libXi.so.6.1.0
31afe0f000-31b000e000 ---p 0000f000 fd:00 281601                         /usr/lib64/libXi.so.6.1.0
31b000e000-31b000f000 r--p 0000e000 fd:00 281601                         /usr/lib64/libXi.so.6.1.0
31b000f000-31b0010000 rw-p 0000f000 fd:00 281601                         /usr/lib64/libXi.so.6.1.0
31b0200000-31b0209000 r-xp 00000000 fd:00 280921                         /usr/lib64/libXrender.so.1.3.0
31b0209000-31b0409000 ---p 00009000 fd:00 280921                         /usr/lib64/libXrender.so.1.3.0
31b0409000-31b040a000 rw-p 00009000 fd:00 280921                         /usr/lib64/libXrender.so.1.3.0
31b0600000-31b0626000 r-xp 00000000 fd:00 276404                         /usr/lib64/libpng12.so.0.46.0
31b0626000-31b0826000 ---p 00026000 fd:00 276404                         /usr/lib64/libpng12.so.0.46.0
31b0826000-31b0827000 r--p 00026000 fd:00 276404                         /usr/lib64/libpng12.so.0.46.0
31b0827000-31b0828000 rw-p 00027000 fd:00 276404                         /usr/lib64/libpng12.so.0.46.0
31b0a00000-31b0a2a000 r-xp 00000000 fd:00 282084                         /usr/lib64/libpng15.so.15.6.0
31b0a2a000-31b0c29000 ---p 0002a000 fd:00 282084                         /usr/lib64/libpng15.so.15.6.0
31b0c29000-31b0c2a000 r--p 00029000 fd:00 282084                         /usr/lib64/libpng15.so.15.6.0
31b0c2a000-31b0c2b000 rw-p 0002a000 fd:00 282084                         /usr/lib64/libpng15.so.15.6.0
31b0e00000-31b0e05000 r-xp 00000000 fd:00 281776                         /usr/lib64/libXfixes.so.3.1.0
31b0e05000-31b1005000 ---p 00005000 fd:00 281776                         /usr/lib64/libXfixes.so.3.1.0
31b1005000-31b1006000 rw-p 00005000 fd:00 281776                         /usr/lib64/libXfixes.so.3.1.0
31b1200000-31b1209000 r-xp 00000000 fd:00 281900                         /usr/lib64/libXcursor.so.1.0.2
31b1209000-31b1408000 ---p 00009000 fd:00 281900                         /usr/lib64/libXcursor.so.1.0.2
31b1408000-31b1409000 r--p 00008000 fd:00 281900                         /usr/lib64/libXcursor.so.1.0.2
31b1409000-31b140a000 rw-p 00009000 fd:00 281900                         /usr/lib64/libXcursor.so.1.0.2
31b1600000-31b1608000 r-xp 00000000 fd:00 281725                         /usr/lib64/libXrandr.so.2.2.0
31b1608000-31b1807000 ---p 00008000 fd:00 281725                         /usr/lib64/libXrandr.so.2.2.0
31b1807000-31b1808000 rw-p 00007000 fd:00 281725                         /usr/lib64/libXrandr.so.2.2.0
31b1a00000-31b1a02000 r-xp 00000000 fd:00 282008                         /usr/lib64/libXdamage.so.1.1.0
31b1a02000-31b1c01000 ---p 00002000 fd:00 282008                         /usr/lib64/libXdamage.so.1.1.0
31b1c01000-31b1c02000 rw-p 00001000 fd:00 282008                         /usr/lib64/libXdamage.so.1.1.0
31b1e00000-31b1e02000 r-xp 00000000 fd:00 281334                         /usr/lib64/libXinerama.so.1.0.0
31b1e02000-31b2001000 ---p 00002000 fd:00 281334                         /usr/lib64/libXinerama.so.1.0.0
31b2001000-31b2002000 rw-p 00001000 fd:00 281334                         /usr/lib64/libXinerama.so.1.0.0
31b2200000-31b2221000 r-xp 00000000 fd:00 282149                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
31b2221000-31b2420000 ---p 00021000 fd:00 282149                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
31b2420000-31b2421000 r--p 00020000 fd:00 282149                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
31b2421000-31b2422000 rw-p 00021000 fd:00 282149                         /usr/lib64/libgdk_pixbuf-2.0.so.0.2400.0
31b2600000-31b262a000 r-xp 00000000 fd:00 280949                         /usr/lib64/libpangoft2-1.0.so.0.2905.0
31b262a000-31b2829000 ---p 0002a000 fd:00 280949                         /usr/lib64/libpangoft2-1.0.so.0.2905.0
Comment 3 Tom London 2011-12-03 13:08:22 EST
Here is gdb backtrace for this one:

Core was generated by `systemadm'.
Program terminated with signal 6, Aborted.
#0  0x00000031a9a36285 in __GI_raise (sig=6)
    at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
(gdb) set pagination off
(gdb) bt full
#0  0x00000031a9a36285 in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
        resultvar = 0
        pid = <optimized out>
        selftid = 7650
#1  0x00000031a9a37b9b in __GI_abort () at abort.c:91
        save_stage = 2
        act = {__sigaction_handler = {sa_handler = 0x4, sa_sigaction = 0x4}, sa_mask = {__val = {5, 140734295299831, 9, 213300752491, 3, 140734295288090, 6, 213300752495, 2, 140734295288110, 2, 213300743658, 1, 213300752491, 3, 140734295288086}}, sa_flags = 10, sa_restorer = 0x31a9b7306f}
        sigs = {__val = {32, 0 <repeats 15 times>}}
#2  0x00000031a9a75fae in __libc_message (do_abort=2, fmt=0x31a9b74b98 "*** glibc detected *** %s: %s: 0x%s ***\n") at ../sysdeps/unix/sysv/linux/libc_fatal.c:198
        ap = {{gp_offset = 40, fp_offset = 48, overflow_arg_area = 0x7fff41adb290, reg_save_area = 0x7fff41adb1a0}}
        ap_copy = {{gp_offset = 16, fp_offset = 48, overflow_arg_area = 0x7fff41adb290, reg_save_area = 0x7fff41adb1a0}}
        fd = 9
        on_2 = <optimized out>
        list = <optimized out>
        nlist = <optimized out>
        cp = <optimized out>
        written = <optimized out>
#3  0x00000031a9a7c2d6 in malloc_printerr (action=3, str=0x31a9b74bc8 "munmap_chunk(): invalid pointer", ptr=<optimized out>) at malloc.c:5021
        buf = "0000000000c96100"
        cp = <optimized out>
#4  0x00000031aba4c8af in g_free (mem=0xc96100) at gmem.c:252
No locals.
#5  0x000000000041a6dc in job_unit_link_destroy (self=0x7fff41adb380) at /home/lennart/projects/systemd/src/systemd-interfaces.vala:151
No locals.
#6  0x0000000000408c6e in main_window_update_job_iter (self=<optimized out>, iter=<optimized out>, id=921, j=0xc96190) at /home/lennart/projects/systemd/src/systemadm.vala:709
        _tmp0_ = 0x9cea40 [GtkListStore]
        _tmp1_ = {stamp = 1053983326, user_data = 0x7f4a4824f530, user_data2 = 0x0, user_data3 = 0x0}
        _tmp2_ = 921
        _tmp3_ = 0xc99e30 "921"
        _tmp4_ = 0xc99e30 "921"
        _tmp5_ = 0xc96190
        _tmp6_ = {id = 0xc96100  <incomplete sequence \345\253>, path = 0x31aba81bc1 "\205\300t\023H\215\065\342\233\a"}
        _tmp7_ = <optimized out>
        _tmp8_ = {id = 0xc96100  <incomplete sequence \345\253>, path = 0x31aba81bc1 "\205\300t\023H\215\065\342\233\a"}
        _tmp9_ = <optimized out>
        _tmp10_ = 0xc96190
        _tmp11_ = 0x0
        _tmp12_ = 0x0
        _tmp13_ = 0x0
        _tmp14_ = 0xad7140 "0\242", <incomplete sequence \311>
        _tmp15_ = 0x0
        _tmp16_ = 0xc96190
        _tmp17_ = 0x0
        _tmp18_ = 0x0
        _tmp19_ = 0x0
        _tmp20_ = 0xc96190
        _tmp21_ = 921
        __PRETTY_FUNCTION__ = "main_window_update_job_iter"
#7  0x000000000040a65b in main_window_on_job_new (self=0xa1a080 [MainWindow], id=921, path=0xca42f0 "/org/freedesktop/systemd1/job/921") at /home/lennart/projects/systemd/src/systemadm.vala:737
        _tmp3_ = 0xca42f0 "/org/freedesktop/systemd1/job/921"
        iter = {stamp = 1053983326, user_data = 0x7f4a4824f530, user_data2 = 0x0, user_data3 = 0x0}
        _tmp7_ = {stamp = 1053983326, user_data = 0x7f4a4824f530, user_data2 = 0x0, user_data3 = 0x0}
        _tmp13_ = {stamp = 1053983326, user_data = 0x7f4a4824f530, user_data2 = 0x0, user_data3 = 0x0}
        _tmp2_ = <optimized out>
        _tmp6_ = <optimized out>
        _tmp12_ = <optimized out>
        j = <optimized out>
        _tmp1_ = <optimized out>
        _tmp5_ = 0xc96100
        _tmp9_ = <optimized out>
        _tmp11_ = 0xca42f0 "/org/freedesktop/systemd1/job/921"
        _tmp15_ = <optimized out>
        _tmp0_ = <optimized out>
        _tmp4_ = 0xc96100
        p = 0xc96100
        _tmp8_ = <optimized out>
        _tmp10_ = <optimized out>
        _tmp14_ = 921
        _inner_error_ = 0x0
        __PRETTY_FUNCTION__ = "main_window_on_job_new"
#8  0x00000031aca0ea34 in g_closure_invoke (closure=0xaa7e70, return_value=0x0, n_param_values=3, param_values=0xc75320, invocation_hint=<optimized out>) at gclosure.c:774
        marshal = 0x413ae0 <g_cclosure_user_marshal_VOID__UINT_STRING>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#9  0x00000031aca1e555 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=<optimized out>, emission_return=0x0, instance_and_params=0xc75320) at gsignal.c:3302
        tmp = <optimized out>
        handler = 0x7f4a480076d0
        accumulator = 0x0
        emission = {next = 0x7fff41adbdc0, instance = 0xa88a20, ihint = {signal_id = 210, detail = 0, run_type = G_SIGNAL_RUN_FIRST}, state = EMISSION_RUN, chain_type = 4}
        class_closure = 0x0
        hlist = 0xa9ad28
        handler_list = 0x7f4a480076d0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 210
        max_sequential_handler_number = 452
        return_value_altered = 0
#10 0x00000031aca261cb in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff41adb828) at gsignal.c:3033
        instance_and_params = 0xc75320
        signal_return_type = 4
        param_values = 0xc75338
        node = 0xa8fb80
        i = <optimized out>
        n_params = 2
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#11 0x00000031aca268a4 in g_signal_emit_by_name (instance=0xa88a20, detailed_signal=<optimized out>) at gsignal.c:3127
        var_args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7fff41adb980, reg_save_area = 0x7fff41adb890}}
        detail = <optimized out>
        signal_id = 210
        __PRETTY_FUNCTION__ = "g_signal_emit_by_name"
#12 0x0000000000412966 in _dbus_handle_manager_job_new (parameters=<optimized out>, self=0xa88a20) at systemd-interfaces.c:1506
        _tmp5_ = 0x7f4a4825c2a0
        _arguments_iter = {x = {139957014753296, 2, 1, 0, 11014496, 0, 10625056, 3579507750, 139957014718072, 0, 140734295293856, 213349638005, 139957014718048, 1, 13155488, 1}}
        id = 921
        _tmp4_ = <optimized out>
        path = 0xca4cd0 "/org/freedesktop/systemd1/job/921"
#13 manager_proxy_g_signal (proxy=0xa88a20 [ManagerProxy], sender_name=<optimized out>, signal_name=<optimized out>, parameters=<optimized out>) at systemd-interfaces.c:1541
No locals.
#14 0x00000031abe05d64 in ffi_call_unix64 () at ../src/x86/unix64.S:75
No locals.
#15 0x00000031abe05785 in ffi_call (cif=0x7fff41adbc20, fn=0x412750 <manager_proxy_g_signal>, rvalue=<optimized out>, avalue=<optimized out>) at ../src/x86/ffi64.c:486
        classes = {X86_64_INTEGER_CLASS, X86_64_NO_CLASS, X86_64_INTEGERSI_CLASS, X86_64_NO_CLASS}
        stack = 0x7fff41adb980 "\020\360%HJ\177"
        argp = 0x7fff41adba30 ""
        arg_types = <optimized out>
        gprcount = 5
        ssecount = <optimized out>
        ngpr = 1
        nsse = 0
        i = <optimized out>
        avn = <optimized out>
        ret_in_memory = <optimized out>
        reg_args = 0x7fff41adb980
#16 0x00000031aca0ef5b in g_cclosure_marshal_generic (closure=0xa9c940, return_gvalue=0x0, n_param_values=4, param_values=<optimized out>, invocation_hint=<optimized out>, marshal_data=0x412750) at gclosure.c:1189
        rtype = 0x31abe061b0
        rvalue = 0x7fff41adbba0
        n_args = 5
        atypes = 0x7fff41adbb60
        args = 0x7fff41adbb20
        i = <optimized out>
        cif = {abi = FFI_UNIX64, nargs = 5, arg_types = 0x7fff41adbb60, rtype = 0x31abe061b0, bytes = 0, flags = 0}
        cc = 0xa9c940
        enum_tmpval = 0x7fff41adbbc0
        tmpval_used = 0
#17 0x00000031aca0ea34 in g_closure_invoke (closure=0xa9c940, return_value=0x0, n_param_values=4, param_values=0xc880c0, invocation_hint=<optimized out>) at gclosure.c:774
        marshal = 0x31aca0d2d0 <g_type_class_meta_marshal>
        marshal_data = <optimized out>
        in_marshal = <optimized out>
        __PRETTY_FUNCTION__ = "g_closure_invoke"
#18 0x00000031aca1eb32 in signal_emit_unlocked_R (node=<optimized out>, detail=0, instance=<optimized out>, emission_return=0x0, instance_and_params=0xc880c0) at gsignal.c:3340
        accumulator = 0x0
        emission = {next = 0x0, instance = 0xa88a20, ihint = {signal_id = 207, detail = 0, run_type = G_SIGNAL_RUN_LAST}, state = EMISSION_RUN, chain_type = 11119984}
        class_closure = 0xa9c940
        hlist = 0xa9ace8
        handler_list = 0x0
        return_accu = 0x0
        accu = {g_type = 0, data = {{v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}, {v_int = 0, v_uint = 0, v_long = 0, v_ulong = 0, v_int64 = 0, v_uint64 = 0, v_float = 0, v_double = 0, v_pointer = 0x0}}}
        signal_id = 207
        max_sequential_handler_number = 452
        return_value_altered = 0
#19 0x00000031aca261cb in g_signal_emit_valist (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>, var_args=0x7fff41adbfb8) at gsignal.c:3033
        instance_and_params = 0xc880c0
        signal_return_type = 4
        param_values = 0xc880d8
        node = 0xa9ca60
        i = <optimized out>
        n_params = 3
        __PRETTY_FUNCTION__ = "g_signal_emit_valist"
#20 0x00000031aca26392 in g_signal_emit (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3090
        var_args = {{gp_offset = 48, fp_offset = 48, overflow_arg_area = 0x7fff41adc090, reg_save_area = 0x7fff41adbfd0}}
#21 0x00000031ad2c2a58 in on_signal_received (connection=<optimized out>, sender_name=0x7f4a4825c400 ":1.6", object_path=<optimized out>, interface_name=<optimized out>, signal_name=0x7f4a4825b810 "JobNew", parameters=0x7f4a4825f010, user_data=0xa98970) at gdbusproxy.c:922
        data = 0xa98970
        proxy = 0xa88a20 [ManagerProxy]
#22 0x00000031ad2b21e5 in emit_signal_instance_in_idle_cb (data=0x7f4a4825a4f0) at gdbusconnection.c:3692
        signal_instance = 0x7f4a4825a4f0
        parameters = 0x7f4a4825f010
        has_subscription = 1
#23 0x00000031aba4698a in g_main_dispatch (context=0x9d3090) at gmain.c:2513
        dispatch = 0x31aba44630 <g_idle_dispatch>
        was_in_call = 0
        user_data = 0x7f4a4825a4f0
        callback = 0x31ad2b2170 <emit_signal_instance_in_idle_cb>
        cb_funcs = 0x31abd1a960
        cb_data = 0x7f4a48257690
        current_source_link = {data = 0x7f4a48252c50, next = 0x0}
        need_destroy = <optimized out>
        source = 0x7f4a48252c50
        current = 0xaa6090
        i = <optimized out>
#24 g_main_context_dispatch (context=0x9d3090) at gmain.c:3050
No locals.
#25 0x00000031aba46d50 in g_main_context_iterate (dispatch=1, block=<optimized out>, context=0x9d3090, self=<optimized out>) at gmain.c:3121
        timeout = 0
        some_ready = 1
        fds = <optimized out>
        max_priority = 0
        nfds = 3
        allocated_nfds = <optimized out>
#26 g_main_context_iterate (context=0x9d3090, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3058
        some_ready = 1
#27 0x00000031aba47155 in g_main_loop_run (loop=0xc789b0) at gmain.c:3315
        self = 0xa930f0
        __PRETTY_FUNCTION__ = "g_main_loop_run"
#28 0x00000031b5f4b107 in IA__gtk_main () at gtkmain.c:1256
        tmp_list = <optimized out>
        functions = 0x0
        init = <optimized out>
        loop = 0xc789b0
#29 0x000000000040c27a in _vala_main (args=0x7fff41adc388, args_length1=1) at /home/lennart/projects/systemd/src/systemadm.vala:1010
        _tmp0_ = <optimized out>
        _tmp1_ = <optimized out>
        window = <optimized out>
        _tmp2_ = <optimized out>
        _inner_error_ = 0x0
#30 0x00000031a9a2169d in __libc_start_main (main=0x403da0 <main>, argc=1, ubp_av=0x7fff41adc388, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fff41adc378) at libc-start.c:226
        result = <optimized out>
        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, -4798704605367593354, 4210132, 140734295294848, 0, 0, 4798885352782206582, -4826520891725146506}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x7fff41adc398, 0x1}, data = {prev = 0x0, cleanup = 0x0, canceltype = 1101906840}}}
        not_first_call = <optimized out>
#31 0x0000000000403dfd in _start ()
No symbol table info available.
(gdb)
Comment 4 Tom London 2011-12-03 13:09:12 EST
Version of glibc:

[tbl@tlondon ~]$ rpm -qa glibc\*
glibc-common-2.14.90-20.fc17.x86_64
glibc-debuginfo-2.14.90-20.fc17.x86_64
glibc-2.14.90-20.fc17.x86_64
glibc-headers-2.14.90-20.fc17.x86_64
glibc-debuginfo-common-2.14.90-20.fc17.x86_64
glibc-devel-2.14.90-20.fc17.x86_64
[tbl@tlondon ~]$
Comment 5 Tom London 2011-12-14 09:56:01 EST
Still seeing this:

[root@tlondon ~]# systemadm
*** glibc detected *** systemadm: double free or corruption (out): 0x0000000002457060 ***
======= Backtrace: =========
/lib64/libc.so.6[0x359a47c2d6]
/lib64/libc.so.6[0x359a47d5be]
/lib64/libglib-2.0.so.0(g_free+0xf)[0x359c44c8af]
systemadm[0x41a6dc]
systemadm[0x408c6e]
systemadm[0x40a65b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x359d40ea34]
/lib64/libgobject-2.0.so.0[0x359d41e555]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x359d4261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit_by_name+0x504)[0x359d4268a4]
systemadm[0x412966]
/usr/lib64/libffi.so.5(ffi_call_unix64+0x4c)[0x359cc05d64]
/usr/lib64/libffi.so.5(ffi_call+0x1e5)[0x359cc05785]
/lib64/libgobject-2.0.so.0(g_cclosure_marshal_generic+0x1fb)[0x359d40ef5b]
/lib64/libgobject-2.0.so.0(g_closure_invoke+0x154)[0x359d40ea34]
/lib64/libgobject-2.0.so.0[0x359d41eb32]
/lib64/libgobject-2.0.so.0(g_signal_emit_valist+0x60b)[0x359d4261cb]
/lib64/libgobject-2.0.so.0(g_signal_emit+0x82)[0x359d426392]
/lib64/libgio-2.0.so.0[0x359dcc2a58]
/lib64/libgio-2.0.so.0[0x359dcb21e5]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x16a)[0x359c44698a]
/lib64/libglib-2.0.so.0[0x359c446d50]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x75)[0x359c447155]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x35a614b107]
systemadm[0x40c27a]
/lib64/libc.so.6(__libc_start_main+0xed)[0x359a42169d]
systemadm[0x403dfd]
======= Memory map: ========
00400000-00425000 r-xp 00000000 fd:00 292690                             /usr/bin/systemadm
00624000-00625000 r--p 00024000 fd:00 292690                             /usr/bin/systemadm
00625000-0062a000 rw-p 00025000 fd:00 292690                             /usr/bin/systemadm
02147000-02477000 rw-p 00000000 00:00 0                                  [heap]
359a000000-359a022000 r-xp 00000000 fd:00 753                            /lib64/ld-2.14.90.so
359a221000-359a222000 r--p 00021000 fd:00 753                            /lib64/ld-2.14.90.so
359a222000-359a223000 rw-p 00022000 fd:00 753                            /lib64/ld-2.14.90.so
359a223000-359a224000 rw-p 00000000 00:00 0 
359a400000-359a5ab000 r-xp 00000000 fd:00 1403                           /lib64/libc-2.14.90.so
359a5ab000-359a7ab000 ---p 001ab000 fd:00 1403                           /lib64/libc-2.14.90.so
359a7ab000-359a7af000 r--p 001ab000 fd:00 1403                           /lib64/libc-2.14.90.so
359a7af000-359a7b1000 rw-p 001af000 fd:00 1403                           /lib64/libc-2.14.90.so
359a7b1000-359a7b6000 rw-p 00000000 00:00 0 
359a800000-359a817000 r-xp 00000000 fd:00 13054                          /lib64/libpthread-2.14.90.so
359a817000-359aa16000 ---p 00017000 fd:00 13054                          /lib64/libpthread-2.14.90.so
359aa16000-359aa17000 r--p 00016000 fd:00 13054                          /lib64/libpthread-2.14.90.so
359aa17000-359aa18000 rw-p 00017000 fd:00 13054                          /lib64/libpthread-2.14.90.so
359aa18000-359aa1c000 rw-p 00000000 00:00 0 
359ac00000-359ac83000 r-xp 00000000 fd:00 13445                          /lib64/libm-2.14.90.so
359ac83000-359ae82000 ---p 00083000 fd:00 13445                          /lib64/libm-2.14.90.so
359ae82000-359ae83000 r--p 00082000 fd:00 13445                          /lib64/libm-2.14.90.so
359ae83000-359ae84000 rw-p 00083000 fd:00 13445                          /lib64/libm-2.14.90.so
359b000000-359b002000 r-xp 00000000 fd:00 13427                          /lib64/libdl-2.14.90.so
359b002000-359b202000 ---p 00002000 fd:00 13427                          /lib64/libdl-2.14.90.so
359b202000-359b203000 r--p 00002000 fd:00 13427                          /lib64/libdl-2.14.90.so
359b203000-359b204000 rw-p 00003000 fd:00 13427                          /lib64/libdl-2.14.90.so
359b400000-359b407000 r-xp 00000000 fd:00 13379                          /lib64/librt-2.14.90.so
359b407000-359b606000 ---p 00007000 fd:00 13379                          /lib64/librt-2.14.90.so
359b606000-359b607000 r--p 00006000 fd:00 13379                          /lib64/librt-2.14.90.so
359b607000-359b608000 rw-p 00007000 fd:00 13379                          /lib64/librt-2.14.90.so
359b800000-359b815000 r-xp 00000000 fd:00 13452                          /lib64/libgcc_s-4.6.2-20111027.so.1
359b815000-359ba14000 ---p 00015000 fd:00 13452                          /lib64/libgcc_s-4.6.2-20111027.so.1
359ba14000-359ba15000 rw-p 00014000 fd:00 13452                          /lib64/libgcc_s-4.6.2-20111027.so.1
359bc00000-359bc17000 r-xp 00000000 fd:00 13432                          /lib64/libz.so.1.2.5
359bc17000-359be16000 ---p 00017000 fd:00 13432                          /lib64/libz.so.1.2.5
359be16000-359be17000 rw-p 00016000 fd:00 13432                          /lib64/libz.so.1.2.5
359c000000-359c01e000 r-xp 00000000 fd:00 13433                          /lib64/libselinux.so.1
359c01e000-359c21d000 ---p 0001e000 fd:00 13433                          /lib64/libselinux.so.1
359c21d000-359c21e000 r--p 0001d000 fd:00 13433                          /lib64/libselinux.so.1
359c21e000-359c21f000 rw-p 0001e000 fd:00 13433                          /lib64/libselinux.so.1
359c21f000-359c220000 rw-p 00000000 00:00 0 
359c400000-359c51a000 r-xp 00000000 fd:00 13380                          /lib64/libglib-2.0.so.0.3102.0
359c51a000-359c719000 ---p 0011a000 fd:00 13380                          /lib64/libglib-2.0.so.0.3102.0
359c719000-359c71a000 r--p 00119000 fd:00 13380                          /lib64/libglib-2.0.so.0.3102.0
359c71a000-359c71b000 rw-p 0011a000 fd:00 13380                          /lib64/libglib-2.0.so.0.3102.0
359c71b000-359c71c000 rw-p 00000000 00:00 0 
359c800000-359c818000 r-xp 00000000 fd:00 13441                          /lib64/libresolv-2.14.90.so
359c818000-359ca18000 ---p 00018000 fd:00 13441                          /lib64/libresolv-2.14.90.so
359ca18000-359ca19000 r--p 00018000 fd:00 13441                          /lib64/libresolv-2.14.90.so
359ca19000-359ca1a000 rw-p 00019000 fd:00 13441                          /lib64/libresolv-2.14.90.so
359ca1a000-359ca1c000 rw-p 00000000 00:00 0 
359cc00000-359cc07000 r-xp 00000000 fd:00 265098                         /usr/lib64/libffi.so.5.0.10
359cc07000-359ce06000 ---p 00007000 fd:00 265098                         /usr/lib64/libffi.so.5.0.10
359ce06000-359ce07000 r--p 00006000 fd:00 265098                         /usr/lib64/libffi.so.5.0.10
359ce07000-359ce08000 rw-p 00007000 fd:00 265098                         /usr/lib64/libffi.so.5.0.10
359d000000-359d001000 r-xp 00000000 fd:00 13425                          /lib64/libgthread-2.0.so.0.3102.0
359d001000-359d200000 ---p 00001000 fd:00 13425                          /lib64/libgthread-2.0.so.0.3102.0Aborted
[root@tlondon ~]#
Comment 6 Tom London 2011-12-14 09:59:51 EST
Decided to run this with valgrind.

Here is what I get (I'm not posting the 'initialization' messages):


==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x359D43422A: value_collect_string (gvaluetypes.c:285)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x359C460B7B: g_strdup (gstrfuncs.c:353)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267== 
==2267== Use of uninitialised value of size 8
==2267==    at 0x4A07DA2: strlen (mc_replace_strmem.c:282)
==2267==    by 0x359C460B81: g_strdup (gstrfuncs.c:355)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Use of uninitialised value of size 8
==2267==    at 0x4A07DB4: strlen (mc_replace_strmem.c:282)
==2267==    by 0x359C460B81: g_strdup (gstrfuncs.c:355)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A092AF: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:77)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A092B5: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:80)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A092C4: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A09311: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A09327: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A0932D: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A093A0: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Use of uninitialised value of size 8
==2267==    at 0x4A093B8: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Use of uninitialised value of size 8
==2267==    at 0x4A093E8: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Use of uninitialised value of size 8
==2267==    at 0x4A093EB: memcpy@@GLIBC_2.14 (mc_replace_strmem.c:653)
==2267==    by 0x359C460B9E: g_strdup (string3.h:52)
==2267==    by 0x359D43424C: value_collect_string (gvaluetypes.c:293)
==2267==    by 0x35A6147D5F: gtk_list_store_set_valist_internal (gtkliststore.c:802)
==2267==    by 0x35A6148A98: gtk_list_store_set_valist (gtkliststore.c:899)
==2267==    by 0x35A6148B96: gtk_list_store_set (gtkliststore.c:941)
==2267==    by 0x408C48: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x359C44C8A7: g_free (gmem.c:251)
==2267==    by 0x41A6DB: job_unit_link_destroy (systemd-interfaces.vala:151)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267==    by 0x359D40EF5A: g_cclosure_marshal_generic (gclosure.c:1189)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A065E4: free (vg_replace_malloc.c:366)
==2267==    by 0x359C44C8AE: g_free (gmem.c:252)
==2267==    by 0x41A6DB: job_unit_link_destroy (systemd-interfaces.vala:151)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267== 
==2267== Invalid free() / delete / delete[]
==2267==    at 0x4A0662E: free (vg_replace_malloc.c:366)
==2267==    by 0x359C44C8AE: g_free (gmem.c:252)
==2267==    by 0x41A6DB: job_unit_link_destroy (systemd-interfaces.vala:151)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267==  Address 0xf76e060 is 96 bytes inside a block of size 2,032 alloc'd
==2267==    at 0x4A059E8: memalign (vg_replace_malloc.c:581)
==2267==    by 0x4A05A97: posix_memalign (vg_replace_malloc.c:709)
==2267==    by 0x359C4199D9: slab_allocator_alloc_chunk (gslice.c:1381)
==2267==    by 0x359C45F798: g_slice_alloc (gslice.c:719)
==2267==    by 0x359C45F8B5: g_slice_alloc0 (gslice.c:1029)
==2267==    by 0x359D42DA39: g_type_create_instance (gtype.c:1872)
==2267==    by 0x359D412488: g_object_constructor (gobject.c:1766)
==2267==    by 0x359D413A63: g_object_newv (gobject.c:1630)
==2267==    by 0x359D414255: g_object_new_valist (gobject.c:1747)
==2267==    by 0x359DC59AA5: g_initable_new_valist (ginitable.c:215)
==2267==    by 0x359DC59BA8: g_initable_new (ginitable.c:139)
==2267==    by 0x40A35F: main_window_on_job_new (systemadm.vala:722)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x359C44C8A7: g_free (gmem.c:251)
==2267==    by 0x41A6EB: job_unit_link_destroy (systemd-interfaces.vala:152)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267==    by 0x359D40EF5A: g_cclosure_marshal_generic (gclosure.c:1189)
==2267== 
==2267== Conditional jump or move depends on uninitialised value(s)
==2267==    at 0x4A065E4: free (vg_replace_malloc.c:366)
==2267==    by 0x359C44C8AE: g_free (gmem.c:252)
==2267==    by 0x41A6EB: job_unit_link_destroy (systemd-interfaces.vala:152)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267== 
==2267== Invalid free() / delete / delete[]
==2267==    at 0x4A0662E: free (vg_replace_malloc.c:366)
==2267==    by 0x359C44C8AE: g_free (gmem.c:252)
==2267==    by 0x41A6EB: job_unit_link_destroy (systemd-interfaces.vala:152)
==2267==    by 0x408C6D: main_window_update_job_iter (systemadm.vala:709)
==2267==    by 0x40A65A: main_window_on_job_new (systemadm.vala:737)
==2267==    by 0x359D40EA33: g_closure_invoke (gclosure.c:774)
==2267==    by 0x359D41E554: signal_emit_unlocked_R (gsignal.c:3302)
==2267==    by 0x359D4261CA: g_signal_emit_valist (gsignal.c:3033)
==2267==    by 0x359D4268A3: g_signal_emit_by_name (gsignal.c:3127)
==2267==    by 0x412965: manager_proxy_g_signal (systemd-interfaces.c:1506)
==2267==    by 0x359CC05D63: ffi_call_unix64 (unix64.S:75)
==2267==    by 0x359CC05784: ffi_call (ffi64.c:486)
==2267==  Address 0x359c481bc1 is in the Text segment of /lib64/libglib-2.0.so.0.3102.0
==2267==
Comment 7 J├│hann B. Gu├░mundsson 2012-02-27 06:54:05 EST
Tom which systemd release did this happen on ( Good to move this one off rawhide and to the relevant branched release )
Comment 8 Tom London 2012-02-27 09:23:22 EST
My old 'yum.log' files indicate it was systemd-37-4.fc17.x86_64:

Nov 16 06:19:27 Updated: systemd-37-4.fc17.x86_64
Nov 16 06:19:28 Updated: systemd-units-37-4.fc17.x86_64
Nov 16 06:21:44 Updated: systemd-gtk-37-4.fc17.x86_64
Nov 16 06:21:44 Updated: systemd-sysv-37-4.fc17.x86_64
Nov 17 06:27:12 Updated: systemd-debuginfo-37-4.fc17.x86_64

Looks like there wasn't an update until

Jan 11 06:15:33 Updated: systemd-38-3.fc17.x86_64
Jan 11 06:15:36 Updated: systemd-units-38-3.fc17.x86_64
Jan 11 06:15:47 Updated: systemd-sysv-38-3.fc17.x86_64
Jan 11 06:16:58 Updated: systemd-gtk-38-3.fc17.x86_64
Jan 11 06:17:25 Updated: systemd-debuginfo-38-3.fc17.x86_64
Comment 9 Michal Schmidt 2012-03-20 10:42:17 EDT

*** This bug has been marked as a duplicate of bug 744439 ***